#!/bin/sh
#VER $todo si necesita install
#echo emerge  $@
#emerge $@

#instalar layman si se desean otros repos

EMERGE=emerge
LAYMAN=layman 

for arg in "$@" 
do
       index=`expr $index + 1` 
      if test $index -gt 1 ; then
         narg=`echo $arg| sed 's/^\"//'| sed 's/\"$//'`
          # echo RRR $index $arg - $PAQS
          PAQS="$PAQS $narg"                 
      fi
done  

EMERGE="zypper --non-interactive "

TACCION=$1


ACCION=`echo $TACCION|awk -F'-' '{print $1}'`
ACCIONINFO=`echo $TACCION|awk -F'-' '{print $2}'`
EACCION=`echo $ACCIONINFO|awk -F'_' '{print $1}'`
E2ACCION=`echo $ACCIONINFO|awk -F'_' '{print $2}'`
echo Accion: $ACCION, Opciones: $ACCIONINFO Distro: SUSE
echo Paquetes: $PAQS


if test "x$ACCION" = xinstall ; then
 if test "x$E2ACCION" = xdwld ; then
  echo  $EMERGE --fetchonly $PAQS
  $EMERGE --fetchonly $PAQS
  exit
 fi


OS=`echo $EACTION |cut -b1`
OND=`echo $EACTION |cut -b2`
ONU=`echo $EACTION |cut -b3`
OF=`echo $EACTION |cut -b4`
OBD=`echo $EACTION |cut -b5`


if test "x$ACCION" = xinstall ; then
 if test "x$E2ACCION" = xdwld ; then
    echo $EMERGE --fetchonly $PAQS
    $EMERGE --fetchonly $PAQS
    # ver -d buildeps -D nonbuilddeps
 exit
 fi

OPTS=


if test "x$OS" != x ; then
     OPTS="$OPTS --fetchonly"
fi


if test  "x$OND" != x ; then
    OPTS="$OPTS --nodeps"
fi

if test  "x$ONU" != x ; then
    OPTS="OPTS --noreplace"  
fi
if test "x$OBD" != x ; then
  echo NO SE
fi
    echo $EMERGE $OPTS  $PAQS
    #echo "$EMERGE install -f  $PAQS;  #$EMERGE update  $PAQS "
    $EMERGE $OPTS  $PAQS
    #$EMERGE update  $PAQS # verificar si hay alguna mejor forma que hacerlo dos veces



elif test "x$ACCION" = xoriginalsourceinstall ; then
   echo esto lo maneja source.sh, mal llamado desde babel
elif test "x$ACCION" = xsearch ; then
 if test "x$EACCION" = xnames -o "x$EACCION" = x ; then
     echo $EMERGE -s  $PAQS
     $EMERGE -s  $PAQS
  elif test "x$EACCION" = xall ; then
     echo $EMERGE -S $PAQS
     $EMERGE -S $PAQS
  else
     echo error opcion $EACCION diferente a la habilitada con search
  fi

elif test "x$ACCION" = xinfo  ; then
       #la opcion aca EACCION no parece servir
     echo $EMERGE --info  $PAQS
     $EMERGE --info  $PAQS
elif test "x$ACCION" = xremove ; then
     echo $EMERGE --unmerge  $PAQS
     $EMERGE --unmerge $PAQS
     # ojo con prune
elif test "x$ACCION" = xspecial ; then
echo $EMERGE --$ACCIONINFO $PAQS
    $EMERGE --$ACCIONINFO $PAQS
# fix clean specialnp delrepo refresh update distupdate
elif test "x$ACCION" = xfix ; then
 echo $EMERGE --fix-broken
  $EMERGE --fix-broken
elif test "x$ACCION" = xclean ; then
     #$EMERGE clean 
     #apt-cache autoclean only obsolete
     # echo no conozco, clean hace otra cosa
elif test "x$ACCION" = xdelrepo ; then
    echo No hecho todavia
elif test "x$ACCION" = xrefresh ; then
   echo $EMERGE --regen
   $EMERGE --regen
   #echo no necesario salvo que se usen otros repos # layman -f
elif test "x$ACCION" = xupdate ; then
    echo $EMERGE -u world
    $EMERGE -u world

elif test "x$ACCION" = xdistupdate ; then
    echo $EMERGE -uDN world
    $EMERGE -uDN world
    # o sera system? o ambos?
elif test "x$ACCION" = xdepclean ; then
    echo $EMERGE --depclean 
    $EMERGE --depclean 
elif test "x$ACCION" = xstats ; then
    echo Buscar
elif test "x$ACCION" = xaddrepo ; then
    echo NO se

else
 echo $EMERGE $ACCION $PAQS
  $EMERGE $ACCION $PAQS 
fi







#verify: sugiere
# no: locks

#otras acciones con otros scripts: update global, dup, addrepo fix clean
